[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# RolWord

Rotate bits of a word value to the left

## Declaration

Source position: systemh.inc line 977

`function RolWord(`
`const AValue: Word`
`):Word; function RolWord(`
`const AValue: Word;`
`const Dist: Byte`
`):Word;`

## Description

RolWord rotates the bits of the word AValue with Dist positions to the right. If Dist is not specified, then 1 is assumed.

## Errors

None.

## See also

RolByte |  | Rotate bits of a byte value to the left
RorWord |  | Rotate bits of a word value to the right
RolDWord |  | Rotate bits of a DWord (cardinal) value to the left
RolQWord |  | Rotate bits of a QWord (64-bit) value to the left